using Application.Abstractions.Messaging;
using SharedKernel.Results;

namespace Application.Features.Api.Auth.Register;

public sealed record Command(
    string Email,
    string Password,
    string? Name
) : ICommand<Result<RegisterResponse>>;

public sealed record RegisterResponse(
    int Id,
    bool IsRegisterEmailAuth
);